{% load_menus position: 'rodape' %}

{% assign toggle_submenus_attribute = '' %}
{% if toggle_submenus %}
  {% assign toggle_submenus_attribute = 'data-action="toggle-menu-footer"' %}
{% endif %}

{% if loaded_menus.size > 0 %}
  {% comment %} Primeiro nível{% endcomment %}
  {% for menu in loaded_menus %}

    {% assign has_children_class = '' %}
    {% if menu.children.size > 0 %}
      {% assign has_children_class = '-has-children' %}
    {% endif %}

    <ul class="menu {{ has_children_class }}">

      <li class="menu-item" {{ toggle_submenus_attribute }} >

        {% if menu.url != blank and menu.url != '#' %}
          <a href="{{ menu.url }}" {{ external }} class="menu-title">{{ menu.title }}</a>
        {% else %}
          <h3 class="menu-title">{{ menu.title }}</h3>
        {% endif %}

        {% if menu.children and toggle_submenus %}
          <button class="arrow" type="button" aria-label="Ver submenus do menu {{ menu.title }}"></button>
        {% endif %}

      </li>

      {% comment %} Segundo nível {% endcomment %}
      {% if menu.children.size > 0 %}
        <ul class="submenu">
          {% for submenu in menu.children %}
            <li class="submenu-item">

              {% if submenu.tooltip != blank %}
                <svg class="icon"><use xlink:href="#icon-{{ submenu.tooltip }}"/></svg>
              {% endif %}

              <a aria-label="Menu {{ submenu.title }}" class="submenu-title" href="{{ submenu.url }}" {% if submenu.external %} rel="external" target="_blank" {% endif %}>
                {{ submenu.title }}
              </a>
            </li>
          {% endfor %}
        </ul>
      {% endif %}

    </ul>

  {% endfor %}
{% endif %}
